Bug 1956747 - Inbuilt microphone does not produce input
Summary: Inbuilt microphone does not produce input
Keywords:
Status: MODIFIED
Alias: None
Product: Fedora
Classification: Fedora
Component: pipewire
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wim Taymans
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-04 10:59 UTC by mike
Modified: 2021-05-13 12:22 UTC (History)
3 users (show)

Fixed In Version: pipewire-0.3.27-2.fc34
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-13 01:04:43 UTC
Type: Bug


Attachments (Terms of Use)

Description mike 2021-05-04 10:59:27 UTC
After upgrading to fedora 34 no input is obtained from internal microphone.
Using gnome-sound-recorder as a test.

No sound is recorded and pavucontrl shows no input from microphone

The microphone appears in audiomixer (pavucontrol I assume)
All modules seem to be loaded and playback is fine

the only error message I can see is from dmesg -T
traps: gnome-sound-rec[2335] trap int3 ip:7f9b4652df7f sp:7ffdf71ddc70 error:0 in libglib-2.0.so.0.6800.1[7f9b464ef000+90000]

lspci
00:1b.0 Audio device: Intel Corporation Atom Processor Z36xxx/Z37xxx Series High Definition Audio Controller (rev 0e)

arecord -l
**** List of CAPTURE Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: VT1802 Analog [VT1802 Analog]
  Subdevices: 0/1
  Subdevice #0: subdevice #0

pw-record --list-targets
Available targets ("*" denotes default): alsa_input.pci-0000_00_1b.0.input_analog-stereo
* 42: description="Built-in Audio Analog Stereo Input" prio=2000

If a cheap microphone is plugged in I get sound recorded, but nothing from internal mic

Comment 1 Fedora Update System 2021-05-10 13:34:40 UTC
FEDORA-2021-bccaeb0a46 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-bccaeb0a46

Comment 2 Fedora Update System 2021-05-12 04:43:06 UTC
FEDORA-2021-bccaeb0a46 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-bccaeb0a46`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-bccaeb0a46

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2021-05-13 01:04:43 UTC
FEDORA-2021-bccaeb0a46 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 mike 2021-05-13 12:22:30 UTC
Well now confused.
After following instructions to update using testing, everything worked.

However after rebooting and doing sudo dnf update, following todays message, I'm back to no sound being recorded


Note You need to log in before you can comment on or make changes to this bug.